> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# invgate-service-management-requests

> InvGate Requests - create, update, and manage service desk requests

**Server path:** `/invgate-service-management-requests` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                  | Description                |
| ------------------------------------------------------------------------------------------------------------------------------------- | -------------------------- |
| [`invgate_service_management_requests_accept_solution`](#invgate_service_management_requests_accept_solution)                         | Accept solution            |
| [`invgate_service_management_requests_add_incident_comment`](#invgate_service_management_requests_add_incident_comment)               | Add reply to request       |
| [`invgate_service_management_requests_add_incident_observer`](#invgate_service_management_requests_add_incident_observer)             | Add observer               |
| [`invgate_service_management_requests_cancel_incident`](#invgate_service_management_requests_cancel_incident)                         | Cancel request             |
| [`invgate_service_management_requests_create_incident`](#invgate_service_management_requests_create_incident)                         | Create request             |
| [`invgate_service_management_requests_get_incident`](#invgate_service_management_requests_get_incident)                               | Get request                |
| [`invgate_service_management_requests_get_incident_attachment`](#invgate_service_management_requests_get_incident_attachment)         | Get attachment             |
| [`invgate_service_management_requests_get_incident_comments`](#invgate_service_management_requests_get_incident_comments)             | Get request replies        |
| [`invgate_service_management_requests_get_incident_tasks`](#invgate_service_management_requests_get_incident_tasks)                   | Get request tasks          |
| [`invgate_service_management_requests_link_incidents`](#invgate_service_management_requests_link_incidents)                           | Link requests              |
| [`invgate_service_management_requests_list_incident_approvals`](#invgate_service_management_requests_list_incident_approvals)         | List request approvals     |
| [`invgate_service_management_requests_list_incident_collaborators`](#invgate_service_management_requests_list_incident_collaborators) | List collaborators         |
| [`invgate_service_management_requests_list_incident_observers`](#invgate_service_management_requests_list_incident_observers)         | List observers             |
| [`invgate_service_management_requests_list_incidents_by_agent`](#invgate_service_management_requests_list_incidents_by_agent)         | List requests by agent     |
| [`invgate_service_management_requests_list_incidents_by_customer`](#invgate_service_management_requests_list_incidents_by_customer)   | List requests by customer  |
| [`invgate_service_management_requests_list_incidents_by_help_desk`](#invgate_service_management_requests_list_incidents_by_help_desk) | List requests by help desk |
| [`invgate_service_management_requests_list_incidents_by_ids`](#invgate_service_management_requests_list_incidents_by_ids)             | List requests by IDs       |
| [`invgate_service_management_requests_list_incidents_by_status`](#invgate_service_management_requests_list_incidents_by_status)       | List requests by status    |
| [`invgate_service_management_requests_list_incidents_by_view`](#invgate_service_management_requests_list_incidents_by_view)           | List requests by view      |
| [`invgate_service_management_requests_list_linked_incidents`](#invgate_service_management_requests_list_linked_incidents)             | List linked requests       |
| [`invgate_service_management_requests_list_priorities`](#invgate_service_management_requests_list_priorities)                         | List priorities            |
| [`invgate_service_management_requests_list_recent_incidents`](#invgate_service_management_requests_list_recent_incidents)             | List recent requests       |
| [`invgate_service_management_requests_list_request_sources`](#invgate_service_management_requests_list_request_sources)               | List request sources       |
| [`invgate_service_management_requests_list_request_statuses`](#invgate_service_management_requests_list_request_statuses)             | List request statuses      |
| [`invgate_service_management_requests_list_request_types`](#invgate_service_management_requests_list_request_types)                   | List request types         |
| [`invgate_service_management_requests_reassign_incident`](#invgate_service_management_requests_reassign_incident)                     | Reassign request           |
| [`invgate_service_management_requests_reject_incident`](#invgate_service_management_requests_reject_incident)                         | Reject request             |
| [`invgate_service_management_requests_reject_solution`](#invgate_service_management_requests_reject_solution)                         | Reject solution            |
| [`invgate_service_management_requests_reopen_incident`](#invgate_service_management_requests_reopen_incident)                         | Reopen request             |
| [`invgate_service_management_requests_request_collaboration`](#invgate_service_management_requests_request_collaboration)             | Request collaboration      |
| [`invgate_service_management_requests_update_incident`](#invgate_service_management_requests_update_incident)                         | Update request             |

***

## invgate\_service\_management\_requests\_accept\_solution

Accept solution

**Parameters:**

| Parameter | Type    | Required | Default | Description                         |
| --------- | ------- | -------- | ------- | ----------------------------------- |
| `comment` | string  | No       | —       | Optional comment for the acceptance |
| `id`      | integer | Yes      | —       | Request ID                          |
| `rating`  | integer | Yes      | —       | Rating for the solution             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "comment": {
        "type": "string",
        "description": "Optional comment for the acceptance"
      },
      "id": {
        "type": "integer",
        "description": "Request ID"
      },
      "rating": {
        "type": "integer",
        "description": "Rating for the solution"
      }
    },
    "required": [
      "PCID",
      "id",
      "rating"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_add\_incident\_comment

Add reply to request

**Parameters:**

| Parameter          | Type    | Required | Default | Description                                  |
| ------------------ | ------- | -------- | ------- | -------------------------------------------- |
| `attachments`      | any\[]  | No       | —       | List of attachments                          |
| `author_id`        | integer | Yes      | —       | ID of the user adding the reply              |
| `comment`          | string  | Yes      | —       | Comment text                                 |
| `customer_visible` | boolean | No       | —       | Whether the reply is visible to the customer |
| `is_propagation`   | boolean | No       | —       | Whether this is a propagation reply          |
| `is_solution`      | boolean | No       | —       | Whether this reply is a solution             |
| `request_id`       | integer | Yes      | —       | Request ID                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "attachments": {
        "type": "array",
        "description": "List of attachments"
      },
      "author_id": {
        "type": "integer",
        "description": "ID of the user adding the reply"
      },
      "comment": {
        "type": "string",
        "description": "Comment text"
      },
      "customer_visible": {
        "type": "boolean",
        "description": "Whether the reply is visible to the customer"
      },
      "is_propagation": {
        "type": "boolean",
        "description": "Whether this is a propagation reply"
      },
      "is_solution": {
        "type": "boolean",
        "description": "Whether this reply is a solution"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      }
    },
    "required": [
      "PCID",
      "author_id",
      "comment",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_add\_incident\_observer

Add observer

**Parameters:**

| Parameter    | Type       | Required | Default | Description                          |
| ------------ | ---------- | -------- | ------- | ------------------------------------ |
| `author_id`  | integer    | Yes      | —       | ID of the user adding the observer   |
| `request_id` | integer    | Yes      | —       | Request ID                           |
| `user_id`    | integer    | No       | —       | Single user ID to add as observer    |
| `users_id`   | integer\[] | No       | —       | List of user IDs to add as observers |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "author_id": {
        "type": "integer",
        "description": "ID of the user adding the observer"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      },
      "user_id": {
        "type": "integer",
        "description": "Single user ID to add as observer"
      },
      "users_id": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "List of user IDs to add as observers"
      }
    },
    "required": [
      "PCID",
      "author_id",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_cancel\_incident

Cancel request

**Parameters:**

| Parameter    | Type    | Required | Default | Description                           |
| ------------ | ------- | -------- | ------- | ------------------------------------- |
| `author_id`  | integer | Yes      | —       | ID of the user canceling the request  |
| `comment`    | string  | No       | —       | Optional comment for the cancellation |
| `request_id` | integer | Yes      | —       | Request ID to cancel                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "author_id": {
        "type": "integer",
        "description": "ID of the user canceling the request"
      },
      "comment": {
        "type": "string",
        "description": "Optional comment for the cancellation"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID to cancel"
      }
    },
    "required": [
      "PCID",
      "author_id",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_create\_incident

Create request

**Parameters:**

| Parameter     | Type       | Required | Default | Description                         |
| ------------- | ---------- | -------- | ------- | ----------------------------------- |
| `attachments` | any\[]     | No       | —       | List of attachments                 |
| `category_id` | integer    | Yes      | —       | Category ID for the request         |
| `creator_id`  | integer    | Yes      | —       | ID of the user creating the request |
| `customer_id` | integer    | Yes      | —       | Customer user ID                    |
| `date`        | string     | No       | —       | Date of the request                 |
| `description` | string     | No       | —       | Description of the request          |
| `location_id` | integer    | No       | —       | Location ID for the request         |
| `priority_id` | integer    | Yes      | —       | Priority ID for the request         |
| `related_to`  | integer\[] | No       | —       | List of related request IDs         |
| `source_id`   | integer    | No       | —       | Source ID for the request           |
| `title`       | string     | Yes      | —       | Title of the request                |
| `type_id`     | integer    | Yes      | —       | Request type ID                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "attachments": {
        "type": "array",
        "description": "List of attachments"
      },
      "category_id": {
        "type": "integer",
        "description": "Category ID for the request"
      },
      "creator_id": {
        "type": "integer",
        "description": "ID of the user creating the request"
      },
      "customer_id": {
        "type": "integer",
        "description": "Customer user ID"
      },
      "date": {
        "type": "string",
        "description": "Date of the request"
      },
      "description": {
        "type": "string",
        "description": "Description of the request"
      },
      "location_id": {
        "type": "integer",
        "description": "Location ID for the request"
      },
      "priority_id": {
        "type": "integer",
        "description": "Priority ID for the request"
      },
      "related_to": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "List of related request IDs"
      },
      "source_id": {
        "type": "integer",
        "description": "Source ID for the request"
      },
      "title": {
        "type": "string",
        "description": "Title of the request"
      },
      "type_id": {
        "type": "integer",
        "description": "Request type ID"
      }
    },
    "required": [
      "PCID",
      "category_id",
      "creator_id",
      "customer_id",
      "priority_id",
      "title",
      "type_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_get\_incident

Get request

**Parameters:**

| Parameter                    | Type    | Required | Default | Description                                          |
| ---------------------------- | ------- | -------- | ------- | ---------------------------------------------------- |
| `id`                         | integer | Yes      | —       | Request ID                                           |
| `decoded_special_characters` | boolean | No       | —       | Whether to decode special characters in the response |
| `date_format`                | string  | No       | —       | Date format for response fields                      |
| `comments`                   | boolean | No       | —       | Whether to include comments in the response          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "Request ID"
      },
      "decoded_special_characters": {
        "type": "boolean",
        "description": "Whether to decode special characters in the response"
      },
      "date_format": {
        "type": "string",
        "description": "Date format for response fields"
      },
      "comments": {
        "type": "boolean",
        "description": "Whether to include comments in the response"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_get\_incident\_attachment

Get attachment

**Parameters:**

| Parameter | Type    | Required | Default | Description   |
| --------- | ------- | -------- | ------- | ------------- |
| `id`      | integer | Yes      | —       | Attachment ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "Attachment ID"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_get\_incident\_comments

Get request replies

**Parameters:**

| Parameter                    | Type    | Required | Default | Description                          |
| ---------------------------- | ------- | -------- | ------- | ------------------------------------ |
| `is_solution`                | boolean | No       | —       | Filter by solution replies only      |
| `decoded_special_characters` | boolean | No       | —       | Whether to decode special characters |
| `date_format`                | string  | No       | —       | Date format for response fields      |
| `request_id`                 | integer | Yes      | —       | Request ID                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "is_solution": {
        "type": "boolean",
        "description": "Filter by solution replies only"
      },
      "decoded_special_characters": {
        "type": "boolean",
        "description": "Whether to decode special characters"
      },
      "date_format": {
        "type": "string",
        "description": "Date format for response fields"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      }
    },
    "required": [
      "PCID",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_get\_incident\_tasks

Get request tasks

**Parameters:**

| Parameter    | Type    | Required | Default | Description |
| ------------ | ------- | -------- | ------- | ----------- |
| `request_id` | integer | Yes      | —       | Request ID  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      }
    },
    "required": [
      "PCID",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_link\_incidents

Link requests

**Parameters:**

| Parameter     | Type       | Required | Default | Description                 |
| ------------- | ---------- | -------- | ------- | --------------------------- |
| `request_id`  | integer    | Yes      | —       | Request ID to link to       |
| `request_ids` | integer\[] | Yes      | —       | List of request IDs to link |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID to link to"
      },
      "request_ids": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "List of request IDs to link"
      }
    },
    "required": [
      "PCID",
      "request_id",
      "request_ids"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incident\_approvals

List request approvals

**Parameters:**

| Parameter      | Type    | Required | Default | Description                              |
| -------------- | ------- | -------- | ------- | ---------------------------------------- |
| `only_pending` | boolean | No       | —       | Whether to return only pending approvals |
| `date_format`  | string  | No       | —       | Date format for response fields          |
| `request_id`   | integer | Yes      | —       | Request ID                               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "only_pending": {
        "type": "boolean",
        "description": "Whether to return only pending approvals"
      },
      "date_format": {
        "type": "string",
        "description": "Date format for response fields"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      }
    },
    "required": [
      "PCID",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incident\_collaborators

List collaborators

**Parameters:**

| Parameter    | Type    | Required | Default | Description |
| ------------ | ------- | -------- | ------- | ----------- |
| `request_id` | integer | Yes      | —       | Request ID  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      }
    },
    "required": [
      "PCID",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incident\_observers

List observers

**Parameters:**

| Parameter    | Type    | Required | Default | Description |
| ------------ | ------- | -------- | ------- | ----------- |
| `request_id` | integer | Yes      | —       | Request ID  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      }
    },
    "required": [
      "PCID",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incidents\_by\_agent

List requests by agent

**Parameters:**

| Parameter  | Type    | Required | Default | Description                         |
| ---------- | ------- | -------- | ------- | ----------------------------------- |
| `limit`    | integer | No       | —       | Maximum number of results to return |
| `id`       | integer | No       | —       | Agent user ID                       |
| `email`    | string  | No       | —       | Agent email address                 |
| `comments` | boolean | No       | —       | Whether to include comments         |
| `page_key` | string  | No       | —       | Pagination key for next page        |
| `username` | string  | No       | —       | Agent username                      |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "id": {
        "type": "integer",
        "description": "Agent user ID"
      },
      "email": {
        "type": "string",
        "description": "Agent email address"
      },
      "comments": {
        "type": "boolean",
        "description": "Whether to include comments"
      },
      "page_key": {
        "type": "string",
        "description": "Pagination key for next page"
      },
      "username": {
        "type": "string",
        "description": "Agent username"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incidents\_by\_customer

List requests by customer

**Parameters:**

| Parameter  | Type    | Required | Default | Description                         |
| ---------- | ------- | -------- | ------- | ----------------------------------- |
| `limit`    | integer | No       | —       | Maximum number of results to return |
| `id`       | integer | No       | —       | Customer user ID                    |
| `email`    | string  | No       | —       | Customer email address              |
| `comments` | boolean | No       | —       | Whether to include comments         |
| `page_key` | string  | No       | —       | Pagination key for next page        |
| `username` | string  | No       | —       | Customer username                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "id": {
        "type": "integer",
        "description": "Customer user ID"
      },
      "email": {
        "type": "string",
        "description": "Customer email address"
      },
      "comments": {
        "type": "boolean",
        "description": "Whether to include comments"
      },
      "page_key": {
        "type": "string",
        "description": "Pagination key for next page"
      },
      "username": {
        "type": "string",
        "description": "Customer username"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incidents\_by\_help\_desk

List requests by help desk

**Parameters:**

| Parameter      | Type    | Required | Default | Description                           |
| -------------- | ------- | -------- | ------- | ------------------------------------- |
| `helpdesk_id`  | integer | No       | —       | Help desk ID                          |
| `helpdesk_ids` | string  | No       | —       | Comma-separated list of help desk IDs |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "helpdesk_id": {
        "type": "integer",
        "description": "Help desk ID"
      },
      "helpdesk_ids": {
        "type": "string",
        "description": "Comma-separated list of help desk IDs"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incidents\_by\_ids

List requests by IDs

**Parameters:**

| Parameter     | Type    | Required | Default | Description                         |
| ------------- | ------- | -------- | ------- | ----------------------------------- |
| `ids`         | string  | Yes      | —       | Comma-separated list of request IDs |
| `date_format` | string  | No       | —       | Date format for response fields     |
| `comments`    | boolean | No       | —       | Whether to include comments         |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ids": {
        "type": "string",
        "description": "Comma-separated list of request IDs"
      },
      "date_format": {
        "type": "string",
        "description": "Date format for response fields"
      },
      "comments": {
        "type": "boolean",
        "description": "Whether to include comments"
      }
    },
    "required": [
      "PCID",
      "ids"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incidents\_by\_status

List requests by status

**Parameters:**

| Parameter    | Type    | Required | Default | Description                         |
| ------------ | ------- | -------- | ------- | ----------------------------------- |
| `limit`      | integer | No       | —       | Maximum number of results to return |
| `status_id`  | integer | No       | —       | Status ID to filter by              |
| `status_ids` | string  | No       | —       | Comma-separated list of status IDs  |
| `offset`     | integer | No       | —       | Offset for pagination               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "status_id": {
        "type": "integer",
        "description": "Status ID to filter by"
      },
      "status_ids": {
        "type": "string",
        "description": "Comma-separated list of status IDs"
      },
      "offset": {
        "type": "integer",
        "description": "Offset for pagination"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_incidents\_by\_view

List requests by view

**Parameters:**

| Parameter | Type    | Required | Default | Description                         |
| --------- | ------- | -------- | ------- | ----------------------------------- |
| `view_id` | integer | Yes      | —       | View ID                             |
| `limit`   | integer | No       | —       | Maximum number of results to return |
| `offset`  | integer | No       | —       | Offset for pagination               |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "view_id": {
        "type": "integer",
        "description": "View ID"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "Offset for pagination"
      }
    },
    "required": [
      "PCID",
      "view_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_linked\_incidents

List linked requests

**Parameters:**

| Parameter    | Type    | Required | Default | Description |
| ------------ | ------- | -------- | ------- | ----------- |
| `request_id` | integer | Yes      | —       | Request ID  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      }
    },
    "required": [
      "PCID",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_priorities

List priorities

**Parameters:**

| Parameter | Type    | Required | Default | Description           |
| --------- | ------- | -------- | ------- | --------------------- |
| `id`      | integer | No       | —       | Filter by priority ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "Filter by priority ID"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_recent\_incidents

List recent requests

**Parameters:**

| Parameter  | Type    | Required | Default | Description                         |
| ---------- | ------- | -------- | ------- | ----------------------------------- |
| `limit`    | integer | No       | —       | Maximum number of results to return |
| `page_key` | string  | No       | —       | Pagination key for next page        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "page_key": {
        "type": "string",
        "description": "Pagination key for next page"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_request\_sources

List request sources

**Parameters:**

| Parameter | Type    | Required | Default | Description         |
| --------- | ------- | -------- | ------- | ------------------- |
| `id`      | integer | No       | —       | Filter by source ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "Filter by source ID"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_request\_statuses

List request statuses

**Parameters:**

| Parameter | Type    | Required | Default | Description         |
| --------- | ------- | -------- | ------- | ------------------- |
| `id`      | integer | No       | —       | Filter by status ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "Filter by status ID"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_list\_request\_types

List request types

**Parameters:**

| Parameter | Type    | Required | Default | Description       |
| --------- | ------- | -------- | ------- | ----------------- |
| `id`      | integer | No       | —       | Filter by type ID |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "id": {
        "type": "integer",
        "description": "Filter by type ID"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_reassign\_incident

Reassign request

**Parameters:**

| Parameter    | Type    | Required | Default | Description                            |
| ------------ | ------- | -------- | ------- | -------------------------------------- |
| `agent_id`   | integer | No       | —       | Agent ID to assign to                  |
| `author_id`  | integer | Yes      | —       | ID of the user reassigning the request |
| `group_id`   | integer | Yes      | —       | Group ID to reassign to                |
| `request_id` | integer | Yes      | —       | Request ID to reassign                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "agent_id": {
        "type": "integer",
        "description": "Agent ID to assign to"
      },
      "author_id": {
        "type": "integer",
        "description": "ID of the user reassigning the request"
      },
      "group_id": {
        "type": "integer",
        "description": "Group ID to reassign to"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID to reassign"
      }
    },
    "required": [
      "PCID",
      "author_id",
      "group_id",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_reject\_incident

Reject request

**Parameters:**

| Parameter    | Type    | Required | Default | Description                          |
| ------------ | ------- | -------- | ------- | ------------------------------------ |
| `author_id`  | integer | Yes      | —       | ID of the user rejecting the request |
| `request_id` | integer | Yes      | —       | Request ID to reject                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "author_id": {
        "type": "integer",
        "description": "ID of the user rejecting the request"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID to reject"
      }
    },
    "required": [
      "PCID",
      "author_id",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_reject\_solution

Reject solution

**Parameters:**

| Parameter | Type    | Required | Default | Description                       |
| --------- | ------- | -------- | ------- | --------------------------------- |
| `comment` | string  | Yes      | —       | Reason for rejecting the solution |
| `id`      | integer | Yes      | —       | Request ID                        |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "comment": {
        "type": "string",
        "description": "Reason for rejecting the solution"
      },
      "id": {
        "type": "integer",
        "description": "Request ID"
      }
    },
    "required": [
      "PCID",
      "comment",
      "id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_reopen\_incident

Reopen request

**Parameters:**

| Parameter    | Type    | Required | Default | Description                          |
| ------------ | ------- | -------- | ------- | ------------------------------------ |
| `author_id`  | integer | No       | —       | ID of the user reopening the request |
| `request_id` | integer | Yes      | —       | Request ID to reopen                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "author_id": {
        "type": "integer",
        "description": "ID of the user reopening the request"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID to reopen"
      }
    },
    "required": [
      "PCID",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_request\_collaboration

Request collaboration

**Parameters:**

| Parameter    | Type       | Required | Default | Description                              |
| ------------ | ---------- | -------- | ------- | ---------------------------------------- |
| `author_id`  | integer    | Yes      | —       | ID of the user requesting collaboration  |
| `request_id` | integer    | Yes      | —       | Request ID                               |
| `user_id`    | integer    | No       | —       | Single user ID to add as collaborator    |
| `users_id`   | integer\[] | No       | —       | List of user IDs to add as collaborators |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "author_id": {
        "type": "integer",
        "description": "ID of the user requesting collaboration"
      },
      "request_id": {
        "type": "integer",
        "description": "Request ID"
      },
      "user_id": {
        "type": "integer",
        "description": "Single user ID to add as collaborator"
      },
      "users_id": {
        "type": "array",
        "items": {
          "type": "integer"
        },
        "description": "List of user IDs to add as collaborators"
      }
    },
    "required": [
      "PCID",
      "author_id",
      "request_id"
    ]
  }
  ```
</Expandable>

***

## invgate\_service\_management\_requests\_update\_incident

Update request

**Parameters:**

| Parameter      | Type    | Required | Default | Description                    |
| -------------- | ------- | -------- | ------- | ------------------------------ |
| `category_id`  | integer | No       | —       | Category ID for the request    |
| `customer_id`  | integer | No       | —       | Customer user ID               |
| `date`         | string  | No       | —       | Date of the request            |
| `date_format`  | string  | No       | —       | Date format for the response   |
| `description`  | string  | No       | —       | Description of the request     |
| `id`           | integer | Yes      | —       | Request ID                     |
| `location_id`  | integer | No       | —       | Location ID for the request    |
| `priority_id`  | integer | No       | —       | Priority ID for the request    |
| `reassignment` | boolean | No       | —       | Whether this is a reassignment |
| `source_id`    | integer | No       | —       | Source ID for the request      |
| `title`        | string  | No       | —       | Title of the request           |
| `type_id`      | integer | No       | —       | Request type ID                |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "category_id": {
        "type": "integer",
        "description": "Category ID for the request"
      },
      "customer_id": {
        "type": "integer",
        "description": "Customer user ID"
      },
      "date": {
        "type": "string",
        "description": "Date of the request"
      },
      "date_format": {
        "type": "string",
        "description": "Date format for the response"
      },
      "description": {
        "type": "string",
        "description": "Description of the request"
      },
      "id": {
        "type": "integer",
        "description": "Request ID"
      },
      "location_id": {
        "type": "integer",
        "description": "Location ID for the request"
      },
      "priority_id": {
        "type": "integer",
        "description": "Priority ID for the request"
      },
      "reassignment": {
        "type": "boolean",
        "description": "Whether this is a reassignment"
      },
      "source_id": {
        "type": "integer",
        "description": "Source ID for the request"
      },
      "title": {
        "type": "string",
        "description": "Title of the request"
      },
      "type_id": {
        "type": "integer",
        "description": "Request type ID"
      }
    },
    "required": [
      "PCID",
      "id"
    ]
  }
  ```
</Expandable>
